import request from "./request";

export async function postFetch({ url, params }) {
  return request(url, {
    method: "POST",
    data: params,
  });
}
export async function doFetch({ url, params }) {
  if(!url){
    return
  }
  return request("/sfx" + url, {
    method: "POST",
    data: params,
  });
}
export async function getFetch({ url, params }) {
  return request(url,{
    params
  });
}

export async function formFetch({ url, params }) {
  return request(url, {
    method: "POST",
    data: params,
    type: "form",
  });
}
